Bug 75672 - X Server crashes when switching to another virtual console (RH8)
X Server crashes when switching to another virtual console (RH8)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 18:01 EDT by Lee Wilson
Modified: 2007-04-18 12:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 16:44:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X Server logs (29.89 KB, text/plain)
2002-10-10 18:02 EDT, Lee Wilson
no flags Details
X-server log (26.97 KB, text/plain)
2002-10-22 23:27 EDT, Alaeddin A. Aydiner
no flags Details
X server log (31.26 KB, text/plain)
2002-10-31 19:39 EST, Michael Wardle
no flags Details
Contents of /etc/modules.conf and output from /proc/version (508 bytes, text/plain)
2002-11-03 06:27 EST, Lee Wilson
no flags Details
output from /proc/version and /etc/modules.conf (666 bytes, text/plain)
2002-11-14 18:07 EST, Jason Mitchell
no flags Details
output from modules.conf (316 bytes, text/plain)
2003-01-21 09:17 EST, Pieter Dumon
no flags Details
output from /proc/version (147 bytes, text/plain)
2003-01-21 09:18 EST, Pieter Dumon
no flags Details
output from /proc/version and /etc/modules.conf (478 bytes, text/plain)
2003-01-28 17:17 EST, Daniel Heinrich
no flags Details

  None (edit)
Description Lee Wilson 2002-10-10 18:01:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
Happening from fresh install using downloaded ISO's

When switching to another virtual console the X server crashes immediately.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1a. Invoke "startx" from a virtual console.
1b. Boot the system at runlevel 5 and login at the graphical prompt.
2. Wait for X to load, then
3. Switch to another virtual console (ctrl+alt+F1 -> F6)

Actual Results:  If running at runlevel 3 I am immediately returned to the 
console where I invoked "startx".

When running at runlevel 5, it returns to the Graphical login screen

Expected Results:  Should be able to do work from the other virtual console, 
then be able to switch back to X (ctrl+alt+F7).

Additional info:

This happens regardless of if I am logged/logging in as a normal user or root.  
In addition it does not make any difference what programs are running, in fact 
it can happen if I were simply at the desktop.

X Logs end with:-
LP ring tail: 8 head: 0 len: 0 start 0
eir: 0 esr: 0 emr: 3d
instdone: ff7b instpm: 0
memmode: 4 instps: 0
hwstam: 0 ier: 3 imr: 0 iir: 0
space: 65520 wanted 65528
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0xd496c000 at 0x40013000

Fatal server error:
Comment 1 Lee Wilson 2002-10-10 18:02:36 EDT
Created attachment 79865 [details]
X Server logs
Comment 2 Lucas M. Lazaro 2002-10-10 18:52:31 EDT
I have the same problem. I'm also using RH8. An the same card (Intel i810)
Comment 3 Don Hardaway 2002-10-11 19:53:43 EDT
Me too!
Comment 4 Iskander 2002-10-15 13:38:41 EDT
For me the same problem.
I'm using several Siemens desktop pc's with also i810/i815.
This problem also existed with RH 7.3
Comment 5 Alaeddin A. Aydiner 2002-10-22 23:22:17 EDT
I also have repeatable RH8 X server crashes with i810, which did _not_ exist
when I had 7.2.
Comment 6 Alaeddin A. Aydiner 2002-10-22 23:27:12 EDT
Created attachment 81664 [details]
X-server log
Comment 7 Michael Wardle 2002-10-31 19:38:43 EST
I also have this problem on Red Hat 8.0.  My video card is an i815.
The logs seem to suggest a problem with the AGP driver.
Comment 8 Michael Wardle 2002-10-31 19:39:46 EST
Created attachment 82984 [details]
X server log
Comment 10 Lee Wilson 2002-11-03 06:27:07 EST
Created attachment 83284 [details]
Contents of /etc/modules.conf and output from /proc/version
Comment 11 Mike A. Harris 2002-11-03 07:12:21 EST
Arjan, any comments?
Comment 12 Lee Wilson 2002-11-04 15:30:05 EST
To backup aydiner@uiuc.edu, I have just gone back to RH7.3 to confirm if 
problem existed before, it doesn't.

The RPM used was "XFree86-4.2.0-8", XFree86 4.2.0, which looks like the same 
version as that included with RH8.
Comment 13 Jason Mitchell 2002-11-14 18:07:29 EST
Created attachment 85146 [details]
output from /proc/version and /etc/modules.conf
Comment 14 Stephen John Smoogen 2002-11-17 12:46:17 EST
I am also seeing this with an i810 machine running stock 8.0. After futzing with
this, I have found similar errors

pgetbl_ctl: 0xc8a0001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 8 head: 0 len: 0 start 0
eir: 0 esr: 0 emr: 3d
instdone: ff7b instpm: 0
memmode: 4 instps: 0
hwstam: 0 ier: 3 imr: 0 iir: 0
space: 65520 wanted 65528

Fatal server error:

plus the following in dmesg

mtrr: base(0xf4000000) is not aligned on a size(0x180000) boundary
Comment 15 Andrew Penney 2002-11-26 15:35:49 EST
I get this problem as well using a i815, but I was able to fix it by changing my
color depth to 15K instead of 16K. (redhat-config-xfree86) Once that is changed
the hardware 3D acceleration is disabled, as it only works when the color depth
is set to 16K (I read this somewhere on the Xfree86 website).  So games like
tuxracer are now choppy and un-playable.  This is just a quick fix I found for
my server environment, hope it works for some of you.  Just a note... I've seen
this happen using other video cards while taking the RH133 Course, I can't
remember the brand, but they were Dell workstations.
Hope this helps guys.
Comment 16 Need Real Name 2002-12-03 00:18:52 EST
I'm actually seeing a kerenl panic, if not just a hard lockup (no net response,
just blinking keyboard LEDs), anytime the X server attempts to exit on an older
Compaq with i810.  
   If this could be related, would the panic info help?
Comment 17 Pieter Dumon 2003-01-21 09:15:52 EST
I experienced the same problem with ATI Mobility Radeon 9000 (on a Dell 
Inspirion 8200 laptop). The vesa video driver is used because no radeon 9000 
driver for X is available yet.
Comment 18 Pieter Dumon 2003-01-21 09:17:18 EST
Created attachment 89467 [details]
output from modules.conf
Comment 19 Pieter Dumon 2003-01-21 09:18:26 EST
Created attachment 89468 [details]
output from /proc/version
Comment 20 Daniel Heinrich 2003-01-28 17:17:47 EST
Created attachment 89665 [details]
output from /proc/version and /etc/modules.conf
Comment 21 Daniel Heinrich 2003-01-28 17:21:17 EST
I have the same problem with a GeForce4 Ti4200 chip.

I think the .xsession-errors in the users home directory might be useful, too.
(I didn't send it, because I don't want to spam the attachment list)
Comment 22 Alfred Morgan-Jones 2003-08-02 00:50:46 EDT
Have hit the same bug on RH8.0 on several computers. All exhibit the error:
[ drm: i810_wait_ring ] *ERROR* space: 65512 wanted 65528
[ drm: i810_wait_ring ] *ERROR* lockup.
Error reproduced when trying to log in to virtual consoles as root.
Comment 23 Alfred Morgan-Jones 2003-08-02 02:50:35 EDT
Have tested X-console fix by reducing Colour depth to 15bit from 16bit.
Problem goes away.  I can now use all virtual consoles.  Console graphic 
rsolution sucks, but that is better than not having tty1-7. So, this truly can 
be classed as an "ugly work around".  
Comment 24 Mike A. Harris 2004-05-07 01:53:28 EDT
I believe this bug is the same issue as one that was just recently
tracked down by Arjan, as a bug in the kernel DRM, which was just
fixed in the latest rawhide 2.6.x kernels.

Setting status to "MODIFIED" pending testing.  Please upgrade to
Fedora Core 2 test3 or the final release of Fedora Core 2 once it
is out, and update the report ot indicate if the problem is
resolved or not, and set the status to RAWHIDE, CURRENTRELEASE, or
ASSIGNED respectively.

Thanks in advance for testing.

Note You need to log in before you can comment on or make changes to this bug.